<template>
    <div>
        <div class="form-style-6">
            <h1>Новый Товар</h1>
            <form @submit="addGood">
                <input type="text" v-model="id"  placeholder="Артикул" />
                <input type="text" v-model="date"  placeholder="Дата Поступления" />
                <input type="text" v-model="name"  placeholder="Название" />
                <input type="text" v-model="price"  placeholder="Цена" />
                <input type="text" v-model="amount"  placeholder="Количество" />
                <input type="text" v-model="sum"  placeholder="Сумма" />
                <input type="submit" value="Добавить" class="btn" />
            </form>
        </div>
   </div>    
</template>

<script>
export default {
    name : 'AddGood',
    data(){
        return {
            id     : '',
            date   : '',
            name   : '',
            price  : '',
            amount : '',
            sum    : ''
        }
    },
    methods : {
        addGood(e){
            e.preventDefault();
            // Object for good
            const newGood = {
                id     : this.id,
                date   : this.date,
                name   : this.name,
                price  : this.price,
                amount : this.amount,
                sum    : this.sum
            }
            // Send up to parent
            this.$emit('add-good',newGood);
        }
    }
}
</script>

<style scoped>
    .form-style-6{
        position: absolute;
        left: 100px;
        top: 50px;
	    font: 95% Arial, Helvetica, sans-serif;
	    max-width: 400px;
	    margin: 10px auto;
	    padding: 16px;
	    background: #F7F7F7;
    }
    .form-style-6 h1{
	    background: #43D1AF;
	    padding: 20px 0;
	    font-size: 140%;
	    font-weight: 300;
	    text-align: center;
	    color: #fff;
	    margin: -16px -16px 16px -16px;
    }
    .form-style-6 input[type="text"],
    .form-style-6 input[type="date"],
    .form-style-6 input[type="datetime"],
    .form-style-6 input[type="email"],
    .form-style-6 input[type="number"],
    .form-style-6 input[type="search"],
    .form-style-6 input[type="time"],
    .form-style-6 input[type="url"],
    .form-style-6 textarea,
    .form-style-6 select {   
	    -webkit-transition: all 0.30s ease-in-out;
	    -moz-transition: all 0.30s ease-in-out;
	    -ms-transition: all 0.30s ease-in-out;
	    -o-transition: all 0.30s ease-in-out;
	    outline: none;
	    box-sizing: border-box;
	    -webkit-box-sizing: border-box;
	    -moz-box-sizing: border-box;
	    width: 100%;
    	background: #fff;
	    margin-bottom: 4%;
	    border: 1px solid #ccc;
	    padding: 3%;
	    color: #555;
	    font: 95% Arial, Helvetica, sans-serif;
    }
    .form-style-6 input[type="text"]:focus,
    .form-style-6 input[type="date"]:focus,
    .form-style-6 input[type="datetime"]:focus,
    .form-style-6 input[type="email"]:focus,
    .form-style-6 input[type="number"]:focus,
    .form-style-6 input[type="search"]:focus,
    .form-style-6 input[type="time"]:focus,
    .form-style-6 input[type="url"]:focus,
    .form-style-6 textarea:focus,
    .form-style-6 select:focus{
	    box-shadow: 0 0 5px #43D1AF;
	    padding: 3%;
	    border: 1px solid #43D1AF;
    }

    .form-style-6 input[type="submit"],
    .form-style-6 input[type="button"]{
	    box-sizing: border-box;
	    -webkit-box-sizing: border-box;
	    -moz-box-sizing: border-box;
	    width: 100%;
	    padding: 3%;
	    background: #43D1AF;
	    border-bottom: 2px solid #30C29E;
	    border-top-style: none;
	    border-right-style: none;
	    border-left-style: none;	
	    color: #fff;
    }
    .form-style-6 input[type="submit"]:hover,
    .form-style-6 input[type="button"]:hover{
	    background: #2EBC99;
    }
</style>


